Subject: FW: New Version Notification for draft-montenegro-httpbis-http2-server-profiles-00.txt

From: Gabriel Montenegro <[email-masked]>
Date: Fri, 6 Sep 2013 20:18:08 +0000

FYI. 

Roberto and I just submitted a proposal to solve the problem of the client overrunning some server settings with its first transmission on the HTTP/2.0 session and to allow a server to commit less resources at the beginning of a session for whatever reason (e.g., under abnormal conditions, because it is a constrained/embedded server, etc).

In a previous proposal in Berlin, I had proposed modifying the TLS handshake, but there was no consensus on that.

Instead, this proposal submitted below just uses ALPN as-is (no need for any modification). This was a result of discussions after the IETF to find some other (reasonable) alternative.

Thanks,

Gabriel

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, 6 September, 2013 12:57
To: Roberto Peon; Gabriel Montenegro; Gabriel Montenegro
Subject: New Version Notification for draft-montenegro-httpbis-http2-server-profiles-00.txt

A new version of I-D, draft-montenegro-httpbis-http2-server-profiles-00.txt
has been successfully submitted by Roberto Peon and posted to the IETF repository.

Filename:	 draft-montenegro-httpbis-http2-server-profiles
Revision:	 00
Title:		 Profiles for Initial Server Settings
Creation date:	 2013-09-04
Group:		 Individual Submission
Number of pages: 7
URL:             http://www.ietf.org/internet-drafts/draft-montenegro-httpbis-http2-server-profiles-00.txt
Status:          http://datatracker.ietf.org/doc/draft-montenegro-httpbis-http2-server-profiles
Htmlized:        http://tools.ietf.org/html/draft-montenegro-httpbis-http2-server-profiles-00

Abstract:
   In HTTP/2.0, if running over TLS, the client is the first to
   transmit HTTP/2.0 frames on the new session. With its first
   transmission to the server, the client can already overrun some
   of the server settings and preferences, leading to failure
   conditions and unnecessary complexity. This document proposes a
   solution to this problem based on a very small set of server
   profiles for initial settings sent within the TLS handshake.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat